# mode: run
# tag: cpp

from libcpp.utility cimport pair

cdef (int, double) _coerce_from_pair(pair[int, double] pxy) nogil:
    cdef (int, double) txy = pxy
    return txy

def coerce_from_pair(int x, double y):
    """
    >>> coerce_from_pair(1, 3.14)
    (1, 3.14)
    """
    cdef pair[int, double] pxy = (x,y)
    return _coerce_from_pair(pxy)
